我正在使用贝宝rest和集成paypal与支付。
我设法用下面的代码创建web体验配置文件,但是我不能运行这个代码2次,它说概要文件已经存在了。
这是否意味着我必须创建一个配置文件,并将其用于所有客户和所有事务?
web体验配置文件的有效期为多长时间。
还是我必须更改配置文件名并为每个事务创建一个新的配置文件?
curl -v POST https://api.sandbox.paypal.com/v1/payment-experience/web-profiles \
-H 'Content-Type:application/json' \
-H 'Authorization: Bearer <Access-Token>' \
-d '{
"name": "YeowZa! T-Shirt Shop",
"presentation": {
"brand_name": "YeowZa! Paypal",
"logo_image": "site",
"locale_code": "US"
},
"input_fields": {
"allow_note": true,
"no_shipping": 0,
"address_override": 1
},
"flow_config": {
"landing_page_type": "billing",
"bank_txn_pending_url": "site"
}
}'发布于 2015-09-24 09:57:36
DELETE /v1/payment-experience/web-profiles/<Profile-Id>有关付款经验概述的更多详细信息,请查看此
发布于 2015-09-23 14:30:43
除了先前的答案外-
nameid (由Paypal分配给它)取决于您想要如何实现这一点,您的流可能是
- if `name` (or `id`) exists, obtain/use its `id`, otherwise,
- if you _add_ ([Create](https://developer.paypal.com/docs/api/#create-a-web-experience-profile)), the response will return the `id`
嗯..。
发布于 2015-09-23 14:20:41
配置文件中的名称变量在每个商家中是唯一的。
通常,您将创建一个概要文件一次,然后多次使用该配置文件。
https://stackoverflow.com/questions/32734909
复制相似问题